Bug 1177660 - Review Request: cppmyth - Client interface for the MythTV backend
Summary: Review Request: cppmyth - Client interface for the MythTV backend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lameire Alexis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-29 17:59 UTC by Mohamed El Morabity
Modified: 2015-01-11 10:57 UTC (History)
3 users (show)

Fixed In Version: cppmyth-1.1.0.2-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-11 10:57:27 UTC
Type: ---
alexis.lameire: fedora-review+
opensource: fedora-cvs+


Attachments (Terms of Use)

Description Mohamed El Morabity 2014-12-29 17:59:23 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/cppmyth/cppmyth.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/cppmyth/cppmyth-1.1.0.2-1.fc21.src.rpm

Description:
This project is intended to create a easy client interface for the MythTV
backend. Its development started from january 2014 and today the API supports
the protocol version of MythTV 0.26 to 0.28-pre.

Fedora Account System Username: melmorabity

Comment 1 Lameire Alexis 2014-12-30 16:39:00 UTC
I take the review

Comment 2 Michael Cronenworth 2014-12-30 16:44:12 UTC
It looks like Lameire Alexis took this in the middle of my review. I will post my review results anyway. If Mr. Alexis wants to back out, I will take over.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "BSD (2 clause)", "GPL
     (v2 or later)", "Unknown or generated". 5 files have unknown license.
     Detailed output of licensecheck in
     /home/michael/Downloads/1177660-cppmyth/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cppmyth-1.1.0.2-1.fc20.x86_64.rpm
          cppmyth-devel-1.1.0.2-1.fc20.x86_64.rpm
          cppmyth-1.1.0.2-1.fc20.src.rpm
cppmyth.x86_64: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
cppmyth.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
cppmyth.x86_64: W: spelling-error %description -l en_US january -> January
cppmyth.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
cppmyth-devel.x86_64: W: only-non-binary-in-usr-lib
cppmyth-devel.x86_64: W: no-documentation
cppmyth.src: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
cppmyth.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
cppmyth.src: W: spelling-error %description -l en_US january -> January
cppmyth.src: W: spelling-error %description -l en_US pre -> per, ore, pee
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
^[]0;<mock-chroot>^G<mock-chroot>[root@melchior /]# rpmlint cppmyth-devel cppmyth
cppmyth-devel.x86_64: W: only-non-binary-in-usr-lib
cppmyth-devel.x86_64: W: no-documentation
cppmyth.x86_64: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
cppmyth.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
cppmyth.x86_64: W: spelling-error %description -l en_US january -> January
cppmyth.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
cppmyth.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcppmyth.so.1.1.0 /lib64/libm.so.6
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
^[]0;<mock-chroot>^G<mock-chroot>[root@melchior /]# echo 'rpmlint-done:'



Requires
--------
cppmyth-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cppmyth(x86-64)
    libcppmyth.so.1.1()(64bit)

cppmyth (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libjansson.so.4()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
cppmyth-devel:
    cppmyth-devel
    cppmyth-devel(x86-64)
    pkgconfig(cppmyth)

cppmyth:
    cppmyth
    cppmyth(x86-64)
    libcppmyth.so.1.1()(64bit)



Source checksums
----------------
https://github.com/janbar/cppmyth/archive/v1.1.0.2/cppmyth-1.1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 0ef39b0ddf2fd0baf81cac77f02460776cbe389007936301ce8d0eda900c62b5
  CHECKSUM(SHA256) upstream package : 0ef39b0ddf2fd0baf81cac77f02460776cbe389007936301ce8d0eda900c62b5


SHOULD, but not must, fix
-------------------------
- Ask upstream to include a copy of the GPL text
- Send patches upstream


MUST fix
--------
- License should be GPLv2+ instead of GPLv2

Comment 3 Lameire Alexis 2014-12-30 18:02:16 UTC
Cmake patch to disable the external library should be partialy rewrited. Insted of simply patching to use system library you should add a new option to let the user choice and send the patch to upstream. (blocker)


You should submit the flag patch to upstream (not a blocker)


cppmyth.x86_64: W: spelling-error %description -l en_US january -> January (blocker)


One file in BSD licence :
cppmyth-1.1.0.2/cppmyth/src/private/platform/windows/inttypes.h

GPLv2+ should be used, licence field should be "BSD and GPLv2+" (blocker)

Below the full review pretreated by fedora-review and compleated :

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "BSD (2 clause)", "GPL
     (v2 or later)", "Unknown or generated". 5 files have unknown license.
     Detailed output of licensecheck in
     /home/alexises/cppmyth/1177660-cppmyth/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x] : Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Comment 4 Michael Cronenworth 2014-12-30 18:06:41 UTC
(In reply to Lameire Alexis from comment #3)
> Cmake patch to disable the external library should be partialy rewrited.
> Insted of simply patching to use system library you should add a new option
> to let the user choice and send the patch to upstream. (blocker)

> cppmyth.x86_64: W: spelling-error %description -l en_US january -> January
> (blocker)

Not blockers, just shoulds.

> One file in BSD licence :
> cppmyth-1.1.0.2/cppmyth/src/private/platform/windows/inttypes.h
> 
> GPLv2+ should be used, licence field should be "BSD and GPLv2+" (blocker)

The header is not used to produce the final binary and is not part of the License of the package. Only GPLv2+ is necessary.

Comment 5 Lameire Alexis 2014-12-30 18:50:10 UTC
Ok, seen legit 
For the header, it's my fault. With double looking it's right.

With a new spec with the typo and the license issue, I approve it.

Comment 6 Mohamed El Morabity 2014-12-30 20:05:28 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/cppmyth/cppmyth.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/cppmyth/cppmyth-1.1.0.2-2.fc21.src.rpm

- Fix License tag
- Fix misspelling in Description

Comment 7 Lameire Alexis 2014-12-30 20:07:49 UTC
perfect, I approuve

Comment 8 Mohamed El Morabity 2014-12-30 20:13:02 UTC
Many thanks for your reviews, Alexis and Michael :)

Comment 9 Mohamed El Morabity 2014-12-30 20:14:46 UTC
New Package SCM Request
=======================
Package Name: cppmyth
Short Description: Client interface for the MythTV backend
Upstream URL: https://github.com/janbar/cppmyth/
Owners: melmorabity
Branches: f21

Comment 10 Till Maas 2015-01-01 23:01:39 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-01-01 23:34:56 UTC
cppmyth-1.1.0.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cppmyth-1.1.0.2-2.fc21

Comment 12 Fedora Update System 2015-01-03 19:07:28 UTC
Package cppmyth-1.1.0.2-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cppmyth-1.1.0.2-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0085/cppmyth-1.1.0.2-2.fc21
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2015-01-11 10:57:27 UTC
cppmyth-1.1.0.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.